Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search.basic
Class BasicQueryScope

    java.lang.Object
      org.apache.slide.search.basic.BasicQueryScope

All Implemented Interfaces:
  QueryScope

public class BasicQueryScope
extends java.lang.Object
implements QueryScope

Holds the scope information supplied with the element.

Version:
  $Revision: 1.13 $

Field Summary

Fields inherited from interface org.apache.slide.search.QueryScope
`DEPTH_0, DEPTH_1, DEPTH_INFINITY`

Constructor Summary
`BasicQueryScope(org.jdom.Element fromElement)` Constructs a scope from e FROM element
`BasicQueryScope(java.lang.String href, int depth, java.util.Set includeSet, java.util.Set excludeSet)` Constructs a scope

Method Summary
`boolean` | `equals(java.lang.Object o)` checks, if another Object is equal to this SelectedProperty
`int` | `getDepth()` depth accessor
`java.util.Set` | `getExcludedScopes()` Method getExcludedScopes
`java.util.Set` | `getExcludeSet()` Method getExcludeSet
`java.lang.String` | `getHref()` href accessor
`java.util.Set` | `getIncludeSet()` Method getIncludeSet
`boolean` | `isCollection()` Returns true if the scope specifies a collection
`void` | `setIsCollection(boolean isCollection)` Method setIsCollection
`java.lang.String` | `toString()` Debugging purpose

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicQueryScope

    public BasicQueryScope(java.lang.String href,
                           int depth,
                           java.util.Set includeSet,
                           java.util.Set excludeSet)

  Constructs a scope

### BasicQueryScope

    public BasicQueryScope(org.jdom.Element fromElement)
                    throws BadQueryException

  Constructs a scope from e FROM element

Method Detail

### getHref

    public java.lang.String getHref()

  href accessor

  Specified by:
    `getHref` in interface `QueryScope`
  Returns:
    a String

### getDepth

    public int getDepth()

  depth accessor

  Specified by:
    `getDepth` in interface `QueryScope`
  Returns:
    an int

### equals

    public boolean equals(java.lang.Object o)

  checks, if another Object is equal to this SelectedProperty

  Parameters:
    `o` - an Object
  Returns:
    true if equal

### toString

    public java.lang.String toString()

  Debugging purpose

  Returns:
    String representation of this SelectedProperty

### setIsCollection

    public void setIsCollection(boolean isCollection)

  Description copied from interface: `QueryScope`
  Method setIsCollection

  Specified by:
    `setIsCollection` in interface `QueryScope`
  Parameters:
    `isCollection` - a boolean

### isCollection

    public boolean isCollection()

  Description copied from interface: `QueryScope`
  Returns true if the scope specifies a collection

  Specified by:
    `isCollection` in interface `QueryScope`
  Returns:
    a boolean

### getExcludedScopes

    public java.util.Set getExcludedScopes()

  Method getExcludedScopes

  Specified by:
    `getExcludedScopes` in interface `QueryScope`
  Returns:
    a Set

### getIncludeSet

    public java.util.Set getIncludeSet()

  Method getIncludeSet

  Specified by:
    `getIncludeSet` in interface `QueryScope`
  Returns:
    a Set

### getExcludeSet

    public java.util.Set getExcludeSet()

  Method getExcludeSet

  Specified by:
    `getExcludeSet` in interface `QueryScope`
  Returns:
    a Set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD